{
  "name": "electron-vue-quasar",
  "version": "0.0.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "test:unit": "vue-cli-service test:unit",
    "lint": "vue-cli-service lint",
    "electron:build": "vue-cli-service electron:build",
    "i18n:report": "vue-cli-service i18n:report --src './src/**/*.?(js|vue)' --locales './src/locales/**/*.json'",
    "postinstall": "electron-builder install-app-deps",
    "postuninstall": "electron-builder install-app-deps",
    "start": "vue-cli-service electron:serve",
    "rebuild": "electron-rebuild -f"
  },
  "main": "background.js",
  "dependencies": {
    "@quasar/extras": "^1.0.0",
    "core-js": "^3.6.5",
    "quasar": "^1.0.0",
    "vue": "^2.6.11",
    "vue-i18n": "^8.17.3",
    "vuex": "^3.4.0"
  },
  "devDependencies": {
    "@vue/cli-plugin-babel": "~4.5.0",
    "@vue/cli-plugin-eslint": "~4.5.0",
    "@vue/cli-plugin-unit-jest": "~4.5.0",
    "@vue/cli-plugin-vuex": "~4.5.0",
    "@vue/cli-service": "~4.5.0",
    "@vue/eslint-config-standard": "^5.1.2",
    "@vue/test-utils": "^1.0.3",
    "babel-eslint": "^10.1.0",
    "electron": "^12.0.0",
    "electron-devtools-installer": "^3.1.0",
    "electron-rebuild": "^2.3.5",
    "eslint": "^6.8.0",
    "eslint-config-google": "^0.14.0",
    "eslint-plugin-import": "^2.20.2",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.0",
    "eslint-plugin-vue": "^6.2.2",
    "node-sass": "^4.13.0",
    "sass-loader": "^8.0.0",
    "spectron": "11.0.0",
    "vue-cli-plugin-electron-builder": "~2.0.0-rc.5",
    "vue-cli-plugin-i18n": "~1.0.1",
    "vue-cli-plugin-pug": "~2.0.0",
    "vue-cli-plugin-quasar": "~3.0.1",
    "vue-template-compiler": "^2.6.11"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "eslint:recommended",
      "plugin:vue/recommended",
      "plugin:vue/base",
      "google"
    ],
    "parserOptions": {
      "parser": "babel-eslint"
    },
    "plugins": [
      "vue"
    ],
    "rules": {
      "space-before-function-paren": [
        "error",
        {
          "anonymous": "always",
          "named": "never",
          "asyncArrow": "always"
        }
      ],
      "object-curly-spacing": [
        "error",
        "always"
      ],
      "max-len": [
        "error",
        {
          "ignoreStrings": true,
          "ignoreTemplateLiterals": true,
          "ignoreUrls": true,
          "ignoreRegExpLiterals": true,
          "ignoreComments": true,
          "ignoreTrailingComments": true
        }
      ]
    },
    "overrides": [
      {
        "files": [
          "**/__tests__/*.{j,t}s?(x)",
          "**/tests/unit/**/*.spec.{j,t}s?(x)"
        ],
        "env": {
          "jest": true
        }
      }
    ]
  },
  "prettier": {
    "singleQuote": true
  },
  "browserslist": [
    "defaults"
  ],
  "jest": {
    "preset": "@vue/cli-plugin-unit-jest"
  }
}
